/*
 * Class WEL_EN_SELCHANGE_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_69 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_69 [] = {0xFF01,1551,68,0xFFFF};
static const EIF_TYPE_INDEX egt_2_69 [] = {0xFF01,68,0xFFFF};
static const EIF_TYPE_INDEX egt_3_69 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_69 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_69 [] = {0xFF01,68,0xFFFF};
static const EIF_TYPE_INDEX egt_6_69 [] = {0xFF01,68,0xFFFF};
static const EIF_TYPE_INDEX egt_7_69 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_69 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_69 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_69 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_69 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_69 [] = {0xFF01,68,0xFFFF};


static const struct desc_info desc_69[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_69), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_69), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_69), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_69), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_69), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_69), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_69), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_69), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_69), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_69), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_69), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_69), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x89 /*68*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_69), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 898, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 899, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 900, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 901, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 902, 0xFFFFFFFF},
};
void Init69(void)
{
	IDSC(desc_69, 0, 68);
	IDSC(desc_69 + 1, 1, 68);
	IDSC(desc_69 + 32, 1070, 68);
}


#ifdef __cplusplus
}
#endif
